/***************************************************************
From the book "Motif Programming, The Essentials...and More"
by Marshall Brain.
Published by Digital Press, ISBN 1-55558-089-0.
To order the book, call 1-800-DIGITAL and ask for EY-J816E-DP.

Copyright 1992, by Digital Equipment Corp.

This code demonstrates a multi-line text widget.
***************************************************************/

/* text1.c */

#include <Xm/Xm.h>
#include <Xm/Text.h>

XtAppContext context;

Widget toplevel, text;

void main(argc,argv)
    int argc;
    char *argv[];
{
    Arg al[20];
    int ac;

    /* create the toplevel shell */
    toplevel = XtAppInitialize(&context,"",NULL,0,&argc,argv,NULL,NULL,0);

    /* set the default size of the window. */ 
    ac=0;
    XtSetArg(al[ac],XmNwidth,200); ac++;
    XtSetArg(al[ac],XmNheight,200); ac++;
    XtSetValues(toplevel,al,ac);

    /* create a text widget */
    ac=0;
    XtSetArg(al[ac],XmNeditMode,XmMULTI_LINE_EDIT); ac++;
    text=XmCreateText(toplevel,"text",al,ac);
    XtManageChild(text);    

    XtRealizeWidget(toplevel);
    XtAppMainLoop(context);
}
